Bug 142019 - evolution crash on start (GLib-CRITICAL)
evolution crash on start (GLib-CRITICAL)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 14:50 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 09:59:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb strack trace (2.84 KB, text/plain)
2004-12-06 15:40 EST, Need Real Name
no flags Details
stack back trace with evolution-debuginfo installed (3.27 KB, text/plain)
2004-12-06 16:19 EST, Need Real Name
no flags Details
no content just boundaries (1.47 KB, text/plain)
2004-12-06 17:27 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-12-06 14:50:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Epiphany/1.4.4

Description of problem:
Evolution crashes on startup.

evolution:4559): GLib-CRITICAL **: file gstrfuncs.c: line 1743
(g_ascii_strcasecmp): assertion `s1 != NULL' failed

$ strace evolution
[snip]
open("/usr/X11R6/lib/X11/fonts/Type1/l048033t.pfa", O_RDONLY) = 38
fcntl64(38, F_SETFD, FD_CLOEXEC)        = 0
fstat64(38, {st_mode=S_IFREG|0644, st_size=72332, ...}) = 0
mmap2(NULL, 72332, PROT_READ, MAP_PRIVATE, 38, 0) = 0xf6cca000
close(38)                               = 0
brk(0x9e43000)                          = 0x9e43000
futex(0x9dead54, FUTEX_WAKE, 1)         = 1
futex(0x9dead50, FUTEX_WAKE, 1)         = 1
futex(0x9dea870, FUTEX_WAKE, 1)         = 1
gettimeofday({1102362510, 578003}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=8, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=17,
events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=24,
events=POLLIN}, {fd=20, events=POLLIN}, {fd=22, events=POLLIN},
{fd=35, events=POLLIN, revents=POLLIN}], 14, 0) = 2
write(3, "\22\0\7\0\203\0\300\2\1\1\0\0\6\0\0\0 \0\31\0\1\0\0\0\2"...,
6928) = 6928
read(3, "\6\0007\10\252\203G\0@\0\0\0\370\0\300\2\0\0\0\0w\2\245"...,
32) = 32
read(3, "\6\0007\10\272\203G\0@\0\0\0\370\0\300\2\0\0\0\0v\2\247"...,
32) = 32
read(3, "\6\0007\10\323\203G\0@\0\0\0\370\0\300\2\0\0\0\0v\2\252"...,
32) = 32
read(3, "\34\0168\10\203\0\300\2\1\1\0\0\333\203G\0\0\0\300\2\1"...,
32) = 32
read(3, "\1\0m\10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"...,
32) = 32
write(3, "\21\0\2\0\245\0\0\0", 8)      = 8
read(3, "\6\0m\10\341\203G\0@\0\0\0\370\0\300\2\0\0\0\0v\2\262\2"...,
32) = 32
read(3, "\1\0n\10\2\0\0\0\6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0(\0\0\0"...,
32) = 32
readv(3, [{"German", 6}, {"\364^", 2}], 2) = 8
read(35, "\0", 1)                       = 1
futex(0x9dead54, FUTEX_WAKE, 1)         = 1
futex(0x9dead50, FUTEX_WAKE, 1)         = 1
futex(0x9dea870, FUTEX_WAKE, 1)         = 1
gettimeofday({1102362510, 598192}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN}, {fd=13,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=17,
events=POLLIN|POLLPRI}, {fd=16, events=POLLIN|POLLPRI}, {fd=24,
events=POLLIN}, {fd=20, events=POLLIN}, {fd=22, events=POLLIN},
{fd=35, events=POLLIN, revents=POLLIN}], 14, 0) = 1
read(35, "\0", 1)                       = 1
futex(0x9dead54, FUTEX_WAKE, 1)         = 1
futex(0x9dead50, FUTEX_WAKE, 1)         = 1
futex(0x9dea870, FUTEX_WAKE, 1
(evolution:4611): GLib-CRITICAL **: file gstrfuncs.c: line 1743
(g_ascii_strcasecmp): assertion `s1 != NULL' failed
)         = 1
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
write(3, "\33\0\2\0\0\0\0\0", 8)        = 8
write(3, " \0\2\0\0\0\0\0", 8)          = 8
write(3, "+\0\1\0", 4)                  = 4
read(3, "\6\0n\10\373\203G\0@\0\0\0\370\0\300\2\0\0\0\0v\2\274\2"...,
32) = 32
read(3, "\1\2q\10\0\0\0\0\37\4\240\2\0\0\0\0\1\0\0\0\33\0\0\0\350"...,
32) = 32
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xf6fe4928) = 4620
waitpid(4620,

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:
How can I provide more info for this one?
Comment 1 Dave Malcolm 2004-12-06 15:30:12 EST
Please can you install the evolution-debuginfo package, and then run
evolution from inside gdb.  Assuming you still get the assertion
failure, please can you supply a stack backtrace when the assertion
happens.  See this link for more information:
http://fedora.linux.duke.edu/wiki/index.cgi/StackTraces
Comment 2 Need Real Name 2004-12-06 15:40:23 EST
Created attachment 107987 [details]
gdb strack trace

I can't find an evolution-debuginfo package, and yum search debug|grep
evolution shows nothing.

Using gdb evolution gives a strack trace, posted.
Comment 3 Dave Malcolm 2004-12-06 15:56:11 EST
Look in here for the debuginfo package:
ftp://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/debug/
Comment 4 Need Real Name 2004-12-06 16:19:16 EST
Created attachment 107993 [details]
stack back trace with evolution-debuginfo installed
Comment 5 Dave Malcolm 2004-12-06 16:51:13 EST
Looks like the assertion fails when generating the preview of the
particular email you have selected.

You should be able to turn off preview mode by running gconf-editor,
browsing to /apps/evolution/mail/display/show_preview and turning it off.

You should then be able to restart evolution and see which email was
selected.  Please you can verify that it's a problem with that
specific email by trying to open that email (should crash), and by
trying to view other emails (should not crash)

Is there any chance you can attach the problem email to this bug report?
Comment 6 Need Real Name 2004-12-06 17:27:55 EST
Created attachment 108012 [details]
no content just boundaries

The problem is definitely caused by a particular e-mail.

I found that frantically clicking on a different folder while evolution starts
works after a while. Next time I'll use gconf :)

The e-mail was most likely created by pst2mbox, so the evolution import tool
should have sanity checked it. Guess it didn't.

I've edited the e-mail so that I can post it here. I've had enough evolution
crashed for today though, so I haven't tested the amended email.

The problem seems to be because it's a multipart message missing any content.
i.e. the boundaries are there, with the headers after the boundaries, but with
no real content.
Comment 7 Need Real Name 2005-03-31 08:45:31 EST
Confirmed as a crasher on FC4T1.
Comment 9 Need Real Name 2005-04-01 09:59:32 EST
Crasher bug with no activity. Reported upstream.
 http://bugzilla.ximian.com/show_bug.cgi?id=74320

Note You need to log in before you can comment on or make changes to this bug.